HA_LOGD(8)

NAME
ha_logd - Logging Daemon for High-Availability Linux

SYNOPSIS

ha_logd [-s] [-k] [-d] [-h] [-c file]

DESCRIPTION

ha_logd is a logging daemon for Linux-HA. It receives messages from a local domain socket /var/lib/heartbeat/log_daemon, and writes them to appropriate files and syslog if enabled. The reason for utilizing this logging daemon is that occasionally Heartbeat suffers from disk I/O delays. By sending log messages to a logging daemon, heartbeat can avoid such I/O delays.

OPTIONS

The following options are supported:

-s
    Show ha_logd status (either running or stopped)

-k
    Stop (kill) the daemon

-d
    Daemonize (without this option, ha_logd will run in the foreground)

-h
    Show a brief usage message

-c file
    Configuration file. You may configure a regular log file, debug log file, log facility, and entity. For details, see the example ha_logd.cf file found in the documentation.

FILES

    • /run/ha_logd.pid – PID file

    • ha_logd.cf – example configuration file

SEE ALSO

heartbeat(8), ha_logger(1)

AUTHORS

Alan Robertson <alanr@unix.sh>
    ha_logd

Guochun Shi <gshi@ncsa.uiuc.edu>
    ha_logd

Marowsky-Bree Lars <lmb@suse.de>
    ha_logd

Florian Haas <florian.haas@linbit.com>
    man page